﻿<Graph ClassName="BackloadSplit" Source="#CDATA" IsNew="True" FileType="NewDac">
    <CDATA name="Source"><![CDATA[using System;
using PX.Data;
using PX.Objects.IN;
using PX.Objects.SO;

namespace Dispatch
{
  [Serializable]
  [PXCacheName("BackloadSplit")]
  public class BackloadSplit : IBqlTable,ILSPrimary
  {
    #region BackloadNbr
    [PXDBString(15, IsKey=true,IsUnicode = true, InputMask = "")]
    [PXUIField(DisplayName = "Backload Nbr",Visible = false)]
    [PXDBDefault(typeof(BackloadLine.backloadNbr))]
    public virtual string BackloadNbr { get; set; }
    public abstract class backloadNbr : PX.Data.BQL.BqlString.Field<backloadNbr> { }
    #endregion

    #region LineNbr
    [PXDBInt(IsKey=true)]
    [PXUIField(DisplayName = "Line Nbr")]
    [PXLineNbr(typeof(Backload.lineCntr))]
    [PXParent(typeof(Select<BackloadLine, Where<BackloadLine.backloadNbr,Equal<Current<backloadNbr>>,And<BackloadLine.backloadLineNbr,Equal<Current<backloadLineNbr>>>>>))]
    public virtual int? LineNbr { get; set; }
    public abstract class lineNbr : PX.Data.BQL.BqlInt.Field<lineNbr> { }
        #endregion
    #region BackloadRecordID
    public abstract class backloadRecordID : PX.Data.BQL.BqlInt.Field<backloadRecordID> { }
    [PXDBInt]
    [PXUIField(DisplayName = "Backload RecordID")]
    [PXDefault(typeof(BackloadLine.recordID))]
    public virtual int? BackloadRecordID { get; set; }
    #endregion

    #region BackloadType
    public abstract class backloadType : PX.Data.BQL.BqlString.Field<backloadType> { }
    [PXDBString(5,IsUnicode =true)]
    [PXUIField(DisplayName = "BackloadType", Visible = false)]
    [BLoadTypeSelector]
    public virtual string BackloadType { get; set; }
    #endregion

    #region LotSerialNbr
    public abstract class lotSerialNbr : PX.Data.BQL.BqlString.Field<lotSerialNbr> { }
    [PXDBString(50)]
    [PXSelector(typeof(Search<SOShipLineSplit.lotSerialNbr,Where<SOShipLineSplit.shipmentNbr,Equal<Current<shipmentNbr>>,And<SOShipLineSplit.lineNbr,Equal<Current<shipmentLineNbr>>>>>),typeof(SOShipLineSplit.lotSerialNbr),typeof(SOShipLineSplit.qty),typeof(SOShipLineSplit.expireDate))]
    [PXUIField(DisplayName = "Lot Serial Nbr.",Visible = false)]

    public virtual string LotSerialNbr { get; set; }
        #endregion
    #region NonCmLotSerialNbr
    public abstract class nonCmLotSerialNbr : PX.Data.BQL.BqlString.Field<nonCmLotSerialNbr> { }
    [INLotSerialNbr(typeof(inventoryID), typeof(subItemID), typeof(locationID), PersistingCheck = PXPersistingCheck.Nothing, FieldClass = "LotSerial",Visible = false)]
    public virtual string NonCmLotSerialNbr { get; set; }
    #endregion
    #region ShipmentNbr

    public abstract class shipmentNbr : PX.Data.BQL.BqlString.Field<shipmentNbr> { }
    [PXDBString(15,IsUnicode = true)]
    [PXDefault(typeof(BackloadLine.shipmentNbr))]
    public virtual string ShipmentNbr { get; set; }

    #endregion

    #region ShipmentLineNbr

    public abstract class shipmentLineNbr : PX.Data.BQL.BqlInt.Field<shipmentLineNbr> { }
    [PXDBInt()]
    [PXDefault(typeof(BackloadLine.shipmentLineNbr))]
    public virtual int? ShipmentLineNbr { get; set; }

    #endregion

    #region InventoryID
        [PXDefault(typeof(BackloadLine.inventoryID))]
    [StockItem]
    public virtual int? InventoryID { get; set; }
    public abstract class inventoryID : PX.Data.BQL.BqlInt.Field<inventoryID> { }
    #endregion

    #region Quantity
    [PXDBDecimal()]
    [PXUIField(DisplayName = "Quantity")]
    public virtual Decimal? Quantity { get; set; }
    public abstract class quantity : PX.Data.BQL.BqlDecimal.Field<quantity> { }
    #endregion

    #region Tstamp
    [PXDBTimestamp()]
    [PXUIField(DisplayName = "Tstamp")]
    public virtual byte[] Tstamp { get; set; }
    public abstract class tstamp : PX.Data.BQL.BqlByteArray.Field<tstamp> { }
    #endregion

    #region CreatedByID
    [PXDBCreatedByID()]
    public virtual Guid? CreatedByID { get; set; }
    public abstract class createdByID : PX.Data.BQL.BqlGuid.Field<createdByID> { }
    #endregion

    #region CreatedByScreenID
    [PXDBCreatedByScreenID()]
    public virtual string CreatedByScreenID { get; set; }
    public abstract class createdByScreenID : PX.Data.BQL.BqlString.Field<createdByScreenID> { }
    #endregion

    #region CreatedDateTime
    [PXDBCreatedDateTime()]
    public virtual DateTime? CreatedDateTime { get; set; }
    public abstract class createdDateTime : PX.Data.BQL.BqlDateTime.Field<createdDateTime> { }
    #endregion

    #region LastModifiedByID
    [PXDBLastModifiedByID()]
    public virtual Guid? LastModifiedByID { get; set; }
    public abstract class lastModifiedByID : PX.Data.BQL.BqlGuid.Field<lastModifiedByID> { }
    #endregion

    #region LastModifiedByScreenID
    [PXDBLastModifiedByScreenID()]
    public virtual string LastModifiedByScreenID { get; set; }
    public abstract class lastModifiedByScreenID : PX.Data.BQL.BqlString.Field<lastModifiedByScreenID> { }
    #endregion

    #region LastModifiedDateTime
    [PXDBLastModifiedDateTime()]
    public virtual DateTime? LastModifiedDateTime { get; set; }
    public abstract class lastModifiedDateTime : PX.Data.BQL.BqlDateTime.Field<lastModifiedDateTime> { }
    #endregion

    #region BackloadLineNbr
    [PXDBInt()]
    [PXUIField(DisplayName = "Backload Line Nbr")]
    [PXDefault(typeof(BackloadLine.backloadLineNbr))]
    public virtual int? BackloadLineNbr { get; set; }
    public abstract class backloadLineNbr : PX.Data.BQL.BqlInt.Field<backloadLineNbr> { }
    #endregion

    #region IsIntercompany
        [PXBool()]
    [PXUIField(DisplayName = "Is Intercompany")]
    public virtual bool? IsIntercompany{ get; set; }
    public abstract class isIntercompany : PX.Data.BQL.BqlBool.Field<isIntercompany> { }
        #endregion
      
    #region LocationID
    public abstract class locationID : PX.Data.BQL.BqlInt.Field<locationID> { }
    
    [LocationAvail(typeof(inventoryID), typeof(subItemID), typeof(siteID), false, false, true, DisplayName = "Location Warehouse", Visible = false)]
    [PXDefault(typeof(BackloadLine.locationID))]
    public virtual int? LocationID { get; set; }
    #endregion

    #region SiteID
    [PX.Objects.IN.SiteAvail(typeof(inventoryID))]
    [PXDefault(typeof(BackloadLine.siteID))]
    public virtual int? SiteID { get; set; }
    public abstract class siteID : PX.Data.BQL.BqlInt.Field<siteID> { }
    #endregion

    #region SubItemID
    public abstract class subItemID : PX.Data.BQL.BqlInt.Field<subItemID> { }
    protected Int32? _SubItemID;
    [PXDefault(typeof(Search<InventoryItem.defaultSubItemID,
        Where<InventoryItem.inventoryID, Equal<Current<INTran.inventoryID>>,
        And<InventoryItem.defaultSubItemOnEntry, Equal<True>>>>),
        PersistingCheck = PXPersistingCheck.Nothing)]
    [PX.Objects.IN.SubItem(
        typeof(inventoryID),
        typeof(LeftJoin<INSiteStatus,
            On<INSiteStatus.subItemID, Equal<INSubItem.subItemID>,
            And<INSiteStatus.inventoryID, Equal<Optional<inventoryID>>,
            And<INSiteStatus.siteID, Equal<Optional<siteID>>>>>>))]
    [PXFormula(typeof(Default<INTran.inventoryID>))]
    public virtual Int32? SubItemID
    {
        get
        {
            return this._SubItemID;
        }
        set
        {
            this._SubItemID = value;
        }
    }
    #endregion

    #region InvtMult
        [PXDBShort()]
    [PXUIField(DisplayName = "Invt Mult")]
    public virtual short? InvtMult { get; set; }
    public abstract class invtMult : PX.Data.BQL.BqlShort.Field<invtMult> { }
        #endregion

    #region BaseQty
    public abstract class baseQty : PX.Data.BQL.BqlDecimal.Field<baseQty> { }
    protected Decimal? _BaseQty;
    [PXDBQuantity()]
    [PXDefault(TypeCode.Decimal, "0.0", PersistingCheck = PXPersistingCheck.Nothing)]
    public virtual Decimal? BaseQty
    {
        get
        {
            return this._BaseQty;
        }
        set
        {
            this._BaseQty = value;
        }
    }
    #endregion

    #region Qty
    public abstract class qty : PX.Data.BQL.BqlDecimal.Field<qty> { }
    protected Decimal? _Qty;
    [PXDBQuantity(typeof(uOM), typeof(baseQty))]
    [PXDefault(TypeCode.Decimal, "0.00")]
    [PXUIField(DisplayName = "Quantity")]
    public virtual Decimal? Qty
    {
        get
        {
            return this._Qty;
        }
        set
        {
            this._Qty = value;
        }
    }
    #endregion

    #region UOM
    public abstract class uOM : PX.Data.BQL.BqlString.Field<uOM> { }
    protected String _UOM;
    [INUnit(typeof(inventoryID), DisplayName = "UOM", Enabled = false)]
    [PXDefault(typeof(BackloadLine.uOM))]
    public virtual String UOM
    {
        get
        {
            return this._UOM;
        }
        set
        {
            this._UOM = value;
        }
    }
    #endregion

    #region ExpireDate
    public abstract class expireDate : PX.Data.BQL.BqlDateTime.Field<expireDate> { }
    protected DateTime? _ExpireDate;
    [INExpireDate(typeof(inventoryID), PersistingCheck = PXPersistingCheck.Nothing, FieldClass = "LotSerial")]
    public virtual DateTime? ExpireDate
    {
        get
        {
            return this._ExpireDate;
        }
        set
        {
            this._ExpireDate = value;
        }
    }
    #endregion

    #region TranDate
        public abstract class tranDate : PX.Data.BQL.BqlDateTime.Field<tranDate> { }
        protected DateTime? _TranDate;
        [PXDBDate()]
        [PXDBDefault(typeof(AccessInfo.businessDate))]
        public virtual DateTime? TranDate
        {
            get
            {
                return this._TranDate;
            }
            set
            {
                this._TranDate = value;
            }
        }
        #endregion
    #region TranType
        public abstract class tranType : PX.Data.BQL.BqlString.Field<tranType> { }
        protected String _TranType;
        [PXDBString(3, IsFixed = true)]
        [PXDefault(INTranType.Transfer)]
        [INTranType.List()]
        [PXUIField(DisplayName = "Tran. Type")]
        public virtual String TranType
        {
            get
            {
                return this._TranType;
            }
            set
            {
                this._TranType = value;
            }
        }
        #endregion

    #region UnassignedQty
        public abstract class unassignedQty : PX.Data.BQL.BqlDecimal.Field<unassignedQty> { }
        protected Decimal? _UnassignedQty;
        [PXDBDecimal(6)]
        [PXDefault(TypeCode.Decimal, "0.0")]
        public virtual Decimal? UnassignedQty
        {
            get
            {
                return this._UnassignedQty;
            }
            set
            {
                this._UnassignedQty = value;
            }
        }
        #endregion
    #region HasMixedProjectTasks
        public abstract class hasMixedProjectTasks : PX.Data.BQL.BqlBool.Field<hasMixedProjectTasks> { }
        protected bool? _HasMixedProjectTasks;
        [PXBool]
        [PXFormula(typeof(False))]
        public virtual bool? HasMixedProjectTasks
        {
            get
            {
                return _HasMixedProjectTasks;
            }
            set
            {
                _HasMixedProjectTasks = value;
            }
        }
        #endregion
    #region ProjectID
        public abstract class projectID : PX.Data.BQL.BqlInt.Field<projectID> { }
        protected Int32? _ProjectID;
        [PXInt]
        public virtual Int32? ProjectID
        {
            get
            {
                return this._ProjectID;
            }
            set
            {
                this._ProjectID = value;
            }
        }
        #endregion
    #region TaskID
        public abstract class taskID : PX.Data.BQL.BqlInt.Field<taskID> { }
        protected Int32? _TaskID;
        [PXInt]
        public virtual Int32? TaskID
        {
            get
            {
                return this._TaskID;
            }
            set
            {
                this._TaskID = value;
            }
        }
        #endregion
    }
}]]></CDATA>
</Graph>